export const NORMAL = "NORMAL";
export const TIME_BANK = "TIMEBANK";
export const FROZEN = "FROZEN";
export const RACE = "RACE";
export const COUNTRY_RACE = "COUNTRYRACE";
export const DISTANCE = "DISTANCE";

// temporary adapter from api v4 to v5
export const adapt4To5 = ruleSet => {
  switch (ruleSet) {
    case FROZEN:
      return {
        gameMode: FROZEN,
        clockMode: NORMAL,
        scoreMethod: DISTANCE,
        roundPointCap: null,
      };
    case RACE: // fall-through
    case TIME_BANK:
      return {
        gameMode: NORMAL,
        clockMode: ruleSet,
        scoreMethod: DISTANCE,
        roundPointCap: null,
      };
    case COUNTRY_RACE:
      return {
        gameMode: NORMAL,
        clockMode: NORMAL,
        scoreMethod: COUNTRY_RACE,
        roundPointCap: null,
      };
    default:
      // includes NORMAL
      return {
        gameMode: NORMAL,
        clockMode: NORMAL,
        scoreMethod: DISTANCE,
        roundPointCap: null,
      };
  }
};
